> ## Documentation Index
> Fetch the complete documentation index at: https://devliz.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Fetch movie changes

> This endpoint allows you to get the recent changes for a movie.



## OpenAPI

````yaml api-reference/TMDB-OAS.yaml get /movie/{{movie_id}}/changes
openapi: 3.0.3
info:
  title: TMDB API DOCS
  version: 1.0.0
  contact: {}
servers:
  - url: https://api.themoviedb.org/3
  - url: https://api.themoviedb.org
security:
  - bearerAuth: []
tags:
  - name: Authentication
    description: >-
      This section contains endpoints that let you create authentication
      sessions for TMDB Guests and User accounts.
  - name: Account
    description: >-
      This section contains endpoints that let you access and sync with TMDB
      user account information.
  - name: Certifications
    description: >-
      This section contains endpoints that provide an up-to-date list of the
      officially supported movies and TV show certifications on TMDB.
  - name: Changes
    description: >-
      This section contains endpoints that let you fetch the list of Movie IDs,
      People IDs, and TV show IDs that have been changed in the past 24 hours.
  - name: Collections
    description: >-
      This collection contains endpoints that let you fetch movie collection
      details.
  - name: Discover
    description: >-
      This section contains endpoints that let you search for movies and TV
      shows, using sorts and filters.
  - name: Configuration
    description: This section contains endpoints that let you query the API configuration.
  - name: Movies
    description: >-
      This section contains endpoints that let you fetch information about the
      movie resource.
  - name: Companies
    description: >-
      This section contains endpoints that fetch information about a movie
      production company.
  - name: Credits
    description: This section contains endpoint for credit details.
  - name: Find
    description: This section contains endpoints that let you find movie or TV data.
  - name: Genres
    description: This section contain endpoints that let you get movie and TV genres.
  - name: Search
    description: This section contains endpoints that let you search through TMDB
  - name: Keywords
    description: This section contains endpoints for keyword information in TMDB
  - name: Movie Lists
    description: >-
      This section contains endpoints that let you fetch information about list
      of movies on TMDB
  - name: Networks
    description: >-
      This section contains endpoints that let you get information about the
      streaming networks.
  - name: People Lists
    description: This section contains endpoints of list of people.
  - name: People
    description: >-
      This section contains endpoints that let you get information about a
      person.
  - name: Reviews
    description: This section contains endpoints for movie or TV reviews.
  - name: Trending
    description: This section contains endpoints for trending movies, TV shows, and people.
  - name: TV Series List
    description: This section contains endpoints for listing TV series.
  - name: TV Series
    description: >-
      This section contains endpoints that let you get information for a TV
      series by ID
  - name: TV Seasons
    description: This section contains endpoints for TV show seasons.
  - name: TV Episodes
    description: >-
      This section contains endpoints that let you query information about a TV
      episode.
  - name: TV Episode groups
    description: This section contains endpoints for TV Episode information
  - name: Watch providers
    description: >-
      This section contains endpoints that let you get information about watch
      providers.
paths:
  /movie/{{movie_id}}/changes:
    parameters:
      - name: movie_id
        in: path
        required: true
        schema:
          type: string
    get:
      tags:
        - Movies
      summary: Fetch movie changes
      description: This endpoint allows you to get the recent changes for a movie.
      operationId: fetchMovieChanges
      parameters:
        - name: end_date
          in: query
          schema:
            type: string
            example: date
        - name: page
          in: query
          schema:
            type: string
            example: int32
        - name: start_date
          in: query
          schema:
            type: string
            example: date
      responses:
        '200':
          description: Fetch movie changes
          headers:
            Alt-Svc:
              schema:
                type: string
                example: h3=":443"; ma=86400
            Cache-Control:
              schema:
                type: string
                example: public, max-age=2
            Connection:
              schema:
                type: string
                example: keep-alive
            Content-Encoding:
              schema:
                type: string
                example: gzip
            Date:
              schema:
                type: string
                example: Fri, 13 Dec 2024 16:16:09 GMT
            ETag:
              schema:
                type: string
                example: W/"eaa62cbb7bf35a1adcdaceaa2ff5558c"
            Server:
              schema:
                type: string
                example: openresty
            Transfer-Encoding:
              schema:
                type: string
                example: chunked
            Vary:
              schema:
                type: string
                example: Origin
            Via:
              schema:
                type: string
                example: >-
                  1.1 10a9e9969f05a75cc05e6f70b8499f7e.cloudfront.net
                  (CloudFront)
            X-Amz-Cf-Id:
              schema:
                type: string
                example: F1VMbw2kpxGJVVKC97LmeHQL7lJ2YkILNjKGo4AFV7dMQ9lYiD4e-A==
            X-Amz-Cf-Pop:
              schema:
                type: string
                example: IAD89-C3
            X-Cache:
              schema:
                type: string
                example: Miss from cloudfront
            x-memc:
              schema:
                type: string
                example: HIT
            x-memc-age:
              schema:
                type: string
                example: '598'
            x-memc-expires:
              schema:
                type: string
                example: '2'
            x-memc-key:
              schema:
                type: string
                example: 6763af95c6093b5284ba9f3f5abc4548
          content:
            application/json:
              schema:
                type: object
                properties:
                  changes:
                    type: array
                    items:
                      type: object
                      properties:
                        items:
                          type: array
                          items:
                            type: object
                            properties:
                              action:
                                type: string
                                example: added
                              id:
                                type: string
                                example: 675a8ccaa7abcc38d13834a7
                              iso_3166_1:
                                type: string
                                example: FR
                              iso_639_1:
                                type: string
                                example: fr
                              time:
                                type: string
                                example: 2024-12-12 07:12:10 UTC
                              value:
                                type: object
                                properties:
                                  id:
                                    type: string
                                    example: 675a8ccaa7abcc38d13834a6
                                  key:
                                    type: string
                                    example: KdXDfD_vUW0
                                  name:
                                    type: string
                                    example: GLADIATOR II 67% Bande Annonce VF HD 2024
                                  site:
                                    type: string
                                    example: YouTube
                                  size:
                                    type: number
                                    example: 1080
                                  type:
                                    type: string
                                    example: Trailer
                          example:
                            - action: added
                              id: 675a8ccaa7abcc38d13834a7
                              iso_3166_1: FR
                              iso_639_1: fr
                              time: 2024-12-12 07:12:10 UTC
                              value:
                                id: 675a8ccaa7abcc38d13834a6
                                key: KdXDfD_vUW0
                                name: GLADIATOR II 67% Bande Annonce VF HD 2024
                                site: YouTube
                                size: 1080
                                type: Trailer
                        key:
                          type: string
                          example: videos
                    example:
                      - items:
                          - action: added
                            id: 675a8ccaa7abcc38d13834a7
                            iso_3166_1: FR
                            iso_639_1: fr
                            time: 2024-12-12 07:12:10 UTC
                            value:
                              id: 675a8ccaa7abcc38d13834a6
                              key: KdXDfD_vUW0
                              name: GLADIATOR II 67% Bande Annonce VF HD 2024
                              site: YouTube
                              size: 1080
                              type: Trailer
                        key: videos
              examples:
                Fetch movie changes:
                  value:
                    changes:
                      - items:
                          - action: added
                            id: 675a8ccaa7abcc38d13834a7
                            iso_3166_1: FR
                            iso_639_1: fr
                            time: 2024-12-12 07:12:10 UTC
                            value:
                              id: 675a8ccaa7abcc38d13834a6
                              key: KdXDfD_vUW0
                              name: GLADIATOR II 67% Bande Annonce VF HD 2024
                              site: YouTube
                              size: 1080
                              type: Trailer
                        key: videos
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````